Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 823265 - Unsandboxed xml breakage
Summary: Unsandboxed xml breakage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-20 12:30 UTC by Joshua Wulf
Modified: 2014-10-19 23:00 UTC (History)
2 users (show)

Fixed In Version: 0.24.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-07 01:29:34 UTC


Attachments (Terms of Use)

Description Joshua Wulf 2012-05-20 12:30:09 UTC
A topic containing the following xml will not be sandboxed, and will break a build:


<!-- This is how you include an image, such as a screenshot -->
	<figure>
		<title/>
		<mediaobject>
			<imageobject>
				<imagedata fileref=""/>
			</imageobject>
		</mediaobject>
	</figure>
	<!-- You need to upload the image file for this to work. See:
  http://www.fedorareloaded.com/instructions.html#Using_Images -->



Actual result:

Validation failed: 
topics/Apakah_Fedora.xml:21: validity error : Syntax of value for attribute format of imagedata is not valid
topics/Apakah_Fedora.xml:21: validity error : Value "ES/" for attribute format of imagedata is not among the enumerated set
Changing directory
./build_my-book: line 37: cd: tmp/en-US/html-single: No such file or directory


Expected result:

Book builds with invalid topic flagged.

cspclient-0.23.5-1.noarch
OS: 
JAVA:

Comment 1 Lee Newson 2012-05-27 07:00:05 UTC
Fixed in 0.24.3.

Now if there isn't any file referenced in the fileref attribute, the fail penguin image will be inserted and an error generated in the Errors Chapter.

Comment 2 Lee Newson 2013-06-07 01:29:34 UTC
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.


Note You need to log in before you can comment on or make changes to this bug.